---
updatedAt: 2025-09-14T23:45:33.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Updates an existing healthcare listener by ID

```xml Sample Request Body
<healthcare_listener>
    <infrastructure_manager_id>13</infrastructure_manager_id>
    <enabled>true</enabled>
    <name>Healthcare Listener</name>
    <single_ips/>
    <range_ips/>
    <port>8080</port>
    <rules>
        <rule>
            <id>3</id>
            <hcl_id>2</hcl_id>
            <name>(A02) | Email Notification Test - tvOS Command ➜ iOS Devices</name>
            <operating_system>TV</operating_system>
            <mdm_command>EraseDevice</mdm_command>
            <mdm_command_additional_data>
                <erase_device_suppress_proximity_setup>true</erase_device_suppress_proximity_setup>
            </mdm_command_additional_data>
            <adt_message>A02</adt_message>
            <adt_message_field>PV1-6-3</adt_message_field>
            <device_inventory_field>-1</device_inventory_field>
            <notification_enabled>true</notification_enabled>
            <notify_unsupported_enabled>true</notify_unsupported_enabled>
            <notification_threshold>15</notification_threshold>
            <notification_emails>
                <email>user@company.com</email>
            </notification_emails>
        </rule>
        <rule>
            <id>4</id>
            <hcl_id>2</hcl_id>
            <name>(A01) | Lock Device</name>
            <operating_system>iPhone</operating_system>
            <mdm_command>DeviceLock</mdm_command>
            <mdm_command_additional_data/>
            <adt_message>A01</adt_message>
            <adt_message_field>PV1-6-3</adt_message_field>
            <device_inventory_field>-1</device_inventory_field>
            <notification_enabled>true</notification_enabled>
            <notify_unsupported_enabled>false</notify_unsupported_enabled>
            <notification_threshold>5</notification_threshold>
            <notification_emails>
                <email>user@company.com</email>
            </notification_emails>
        </rule>
    </rules>
</healthcare_listener>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.12.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "paths": {
    "/healthcarelistener/id/{id}": {
      "put": {
        "x-explorer-enabled": false,
        "tags": [
          "healthcarelistener"
        ],
        "summary": "Updates an existing healthcare listener by ID",
        "operationId": "updateHealthCareListenerById",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "ID value to filter by",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "x-si-base": "swagger.yaml",
  "x-github-repo": "jamf/Classic-API-Swagger-Specification",
  "x-github-sha": "070fac498a589aaa0958641a68e4065584fc244a",
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```